LISP I picked up years ago from an unknown source - works for me on 2011.
- ;========= Explorer to Current Directory(Defun C:ECD () (Setvar "Cmdecho" 0) (Command "Shell" (Strcat "Explorer /n,/e," ;Explorer, New Window, use Explorer View (Chr 34) ;Quote marks (Getvar "dwgprefix") ;Current drive and folder (Chr 34) ;Quote marks ) ;Close Strcat ) ;Close Command (Princ)) ;Close Defun on C:ECD
- ;========= Explorer to AutoSave Directory(Defun C:EASD () (Setvar "Cmdecho" 0) (Command "Shell" (Strcat "Explorer /n,/e," ;Explorer, New Window, use Explorer View (Chr 34) ;Quote marks (getvar "savefilepath") ;Current drive and folder (Chr 34) ;Quote marks ) ;Close Strcat ) ;Close Command (Princ)) ;Close Defun on C:EASD
Another from Lee Ambrosius;-
- ;; Created by: Lee Ambrosius;; HyperPics, [url]http://www.hyperpics.com[/url];;;; Last revised on: 06/15/03;; Program is used to search for a file with in the AutoCAD Support paths.;; It then will display the file in Explorer or folder view;; Opens Explorer w/ Treeview and highlights the file(defun c:BrowseToFileWithTree( / fileLoc fileName); (setq fileName (getstring "\nEnter file name and extension to find: ")); Added to open current file in Explorer 18/08/2005 JGA (setq fileName (getvar "DWGname")) (if (setq fileLoc (findfile fileName)) (startapp "explorer" (strcat "/n, /e, /select," (substr fileLoc 1 (- (strlen fileLoc) (+ (strlen fileName) 1))) " \" filename)) ));; Opens Explorer w/o Treeview and highlights the file(defun c:BrowseToFileWithoutTree( / fileLoc fileName) (setq fileName (getstring "\nEnter file name and extension to find: ")) (if (setq fileLoc (findfile fileName)) (startapp "explorer" (strcat "/n, /select," (substr fileLoc 1 (- (strlen fileLoc) (+ (strlen fileName) 1))) " \" filename)) ))(defun c:B2FT()(c:BrowseToFileWithTree))(defun c:B2F()(c:BrowseToFileWithoutTree))(prompt "\nType B2FT or B2F to display a file in Windows Explorer.")(princ)
|